JFormattedTextField.AbstractFormatterFactory (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing, class: JFormattedTextField, class: AbstractFormatterFactory
Keywords: javax.swing.JFormattedTextField.AbstractFormatterFactory class

# Class JFormattedTextField.AbstractFormatterFactory

java.lang.Object
javax.swing.JFormattedTextField.AbstractFormatterFactory

Direct Known Subclasses:
  `DefaultFormatterFactory`

Enclosing class:
  `JFormattedTextField`

public abstract static class JFormattedTextField.AbstractFormatterFactory extends Object
Instances of `AbstractFormatterFactory` are used by `JFormattedTextField` to obtain instances of `AbstractFormatter` which in turn are used to format values. `AbstractFormatterFactory` can return different `AbstractFormatter`s based on the state of the `JFormattedTextField`, perhaps returning different `AbstractFormatter`s when the `JFormattedTextField` has focus vs when it doesn't have focus.

Since:
  1.4

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractFormatterFactory()`
  Constructor for subclasses to call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract JFormattedTextField.AbstractFormatter`
  `getFormatter(JFormattedTextField tf)`
  Returns an `AbstractFormatter` that can handle formatting of the passed in `JFormattedTextField`.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### AbstractFormatterFactory

    protected AbstractFormatterFactory()
    Constructor for subclasses to call.

- ## Method Details

  - ### getFormatter

    public abstract JFormattedTextField.AbstractFormatter getFormatter(JFormattedTextField tf)
    Returns an `AbstractFormatter` that can handle formatting of the passed in `JFormattedTextField`.
    Parameters:
      `tf` - JFormattedTextField requesting AbstractFormatter
    Returns:
      AbstractFormatter to handle formatting duties, a null return value implies the JFormattedTextField should behave like a normal JTextField